@import url("../../../variables.css");

.layout {
  width: 100vw;
  height: 100vh;
  display: grid;
  grid:
    "header header header" 140px
    "body body body" minmax(0, 1fr)
  
    / auto 1fr auto;
 
}

.header {
  grid-area: header;

  border-top: 1.5px solid rgba(217, 217, 217, 0.29);

  border-bottom: 1.5px solid rgba(217, 217, 217, 0.29);

  border-left: 1.5px solid rgba(217, 217, 217, 0.29);

  background: #fff;
}

.body {
  grid-area: body;
  background: #f1f0f0;
  height: 100%;
}

/* .footer {
  grid-area: footer;

  border: 1.5px solid #edf0f6;

  background: #fff;

  backdrop-filter: blur(4px);
} */

.header-call {
  height: 100%;
  display: flex;
  justify-content: space-between;
}
.wrapper-header-call {
  display: flex;
  justify-content: space-between;

  width: 100%;
  height: 100%;
}
.first-header-call {
  display: flex;
}
.first-header-call > div:nth-child(1) {
  width: 152px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-right: 2px solid rgba(234, 233, 233, 0.58);
}
.first-header-call > div:nth-child(1) > h3 {
  font-size: 32px;
  color: #0060ff;
}
.first-header-call > div:nth-child(2) {
  padding: 0 20px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  justify-content: center;
}
.first-header-call > div:nth-child(2) > p {
  color: #373131;

  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.first-header-call > div:nth-child(2) > span {
  color: #acacac;

  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.second-header-call {
  display: flex;
  align-items: center;
  gap: 32px;
  padding: 0px 20px;
}

.avatar {
  display: flex;
  align-items: center;
  gap: 60px;
  border-radius: 100px;
  background: #f6f6f6;
  padding: 10px 20px;
}

.wrapper-avatar {
  display: flex;
  align-items: center;
  gap: 10px;
}

.img-avatar {
  border: 2px solid #fff;
  background: #fff;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.img-avatar > img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.img-avatar>p{
  font-weight: 600;
  font-size: 20px;
  text-transform: uppercase;
}

.text-avatar {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.text-avatar > p {
  color: #25293b;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
}

.text-avatar > span {
  color: #9e9e9e;
  font-size: 13px;
  font-style: normal;
  font-weight: 500;
  letter-spacing: 0.39px;
}

.dots-avatar {
  cursor: pointer;
}

.dots-avatar svg {
  color: #a2a7b4;
}

.copy-link {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;

  padding: 15px;
  border-radius: 20px;
  background: #DFEBFF;
  color: #0060FF;
  cursor: pointer;
}
.copy-link >div:nth-child(2){

  padding: 0px 8px ;
  border-left: 1px solid #0060FF;
}
.participants{
display: flex;
position: relative;
left: 80px;
align-items: center;


}
.participants>div {
  width: 60px;
  height: 60px;
  background: #fff;


  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%
}
.participants>div img{
width: 50px;
height: 50px;
object-fit: cover;
border-radius: 50%;
}
.participants>div:nth-child(1){
z-index: 1;
}
.participants>div:nth-child(2){
  z-index: 2;
  position: relative;
  right: 20px;
}
.participants>div:nth-child(3){
  z-index: 3;
  position: relative;
  right: 40px;
}
.participants>div:nth-child(4){
  z-index: 4;
  position: relative;
  right: 60px;
}
.number-participants{
  z-index: 5;
  position: relative;
  right: 80px;
  background: #DFEBFF !important;
  display: block;
  width: 55px !important;
  height:55px !important ;
  color: #0060FF;
  
}

.number-participants>p{
  color: #0060FF;


font-size: 16px;
font-style: normal;
font-weight: 600;

}
.footer-call {
  /* height: 100%; */
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1.5px solid #edf0f6;

  background: #fff;

  backdrop-filter: blur(4px);
  height: 140px;
}

.wrapper-footer {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
.footer-button:hover{
  opacity: .8;
}
.footer-button {
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  cursor: pointer;
  border: none ;
  transition: background .3s ease;
}
.footer-button.allText{
  display: block;
  width: 200px ;
  display: flex;
  border-radius: 30px;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.footer-button.allText>p{
  color: #fff;
  font-size: 17px;
  font-weight: 500;

}
.footer-button.allText>div{
  width: 28px !important;
  height: 28px !important;
}
.footer-button.allText svg{
  width: 28px !important;
  height: 28px !important;
  flex: 1;
}

.footer-button > div:nth-child(1) {
  width: 28px !important;
  height: 28px !important;
}

.footer-button:nth-child(1),
.footer-button:nth-child(2),
.footer-button:nth-child(3) {
  background: #0060ff ;
}

.footer-button:nth-child(6),
.footer-button:nth-child(7) {
  background: #dfebff;
}

.footer-button:nth-child(4),.footer-button:nth-child(5) {
  background: #eb5757;
}
.footer-button:nth-child(4) svg{
  color: #fff;
}
 .footer-button:nth-child(6) svg  {
  width: 28px !important;
  height: 28px !important;

}
.footer-button:nth-child(7) svg {

  color: #0060ff;
}

.inactive-footer-button{
  background: #eb5757 !important ;

}
.footer-button:nth-child(3).inactive-footer-button>div{
  width: 28px !important;
  height: 28px !important;
}
.footer-button:nth-child(3).inactive-footer-button>div svg{
  width: 28px !important;
  height: 28px !important;
  color: #fff;
}
.body-call{

height: 100%;
display: flex;
flex-direction: column;

}

.main-call{
  height: calc(100% - 140px);
}

.user-list{

  height: 100%;
  display: flex;
  gap: 10px;
  padding: 10px;
}

.local-user{
  height: 100%;
flex: 1;
  object-fit: cover;
}

.local-user>div{
  width: 100%;
  border-radius: 20px;
}

.remote-users{
  width: 300px;
  
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 0 10px;
  overflow-y: auto;
}



.remote-full{
  height: 100%;
}
.remote-full>div{
  border-radius: 20px;
  height: 100% !important;
}
.remote-user{

  height: 200px;
}

.remote-user>div{
  border-radius: 20px;
  height: 200px !important;
}
.user-name{
  border-radius: 20px;
  padding: 10px;
/* background: rgba(0, 0, 0, 0.30); */
background: #A2A2A2;

backdrop-filter: blur(4.083333492279053px);
color: #FFF;


font-size: 18px;
font-style: normal;
font-weight: 400;
line-height: 1.5;
position: absolute;
bottom: 10px;
left: 10px;
}

.microphone{
  position: absolute;
bottom: 10px;
right: 10px;

padding: 10px;
border-radius: 50%;
}

.microphone>div{
width: 26px;
height: 26px;
}
.microphone svg{
  width: 100%;
  height: 100%;
}
.microphone-off{
  background: #EB5757 !important;
}

.microphone-on{
  background: #0060FF !important;
}